TEX2DCMPLOD(3Cg)

NAME
tex2Dcmplod - performs a texture lookup with a specified level of detail and a shadow compare in a given sampler.

SYNOPSIS
  float4 tex2Dcmplod(sampler2D samp, float4 s)
  float4 tex2Dcmplod(sampler2D samp, float4 s, int texelOff)

PARAMETERS

samp
    Sampler to lookup.

s   Coordinates to perform the lookup. The value used in the shadow comparison should be passed right after the normal coordinates. The level of detail corresponds to the last component of the coordinate vector.

texelOff
    Offset to be added to obtain the final texel.

DESCRIPTION
Performs a texture lookup with shadow compare and a specified level of detail in sampler samp using coordinates s.

PROFILE SUPPORT
tex2Dcmplod is supported in fragment profiles starting with fp40 and in vertex profiles starting with vp40. Variants with texelOff are only supported in gp4 and newer profiles.

SEE ALSO
tex2Dlod, tex2Dcmpbias